<?xml version="1.0" encoding="UTF-8"?>
<xmi:XMI xmi:version="20131001" xmlns:xmi="http://www.omg.org/spec/XMI/20131001" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:DataTypes="http://www.eclipse.org/papyrus/DataTypes/1" xmlns:NFPs="http://www.eclipse.org/papyrus/NFPs/1" xmlns:bpc="http://www.eclipse.org/papyrus/robotics/bpc/1" xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" xmlns:robotics.commobject="http://www.eclipse.org/papyrus/robotics/commobject/1" xmlns:robotics.generics="http://www.eclipse.org/papyrus/robotics/generics/1" xmlns:robotics.services="http://www.eclipse.org/papyrus/robotics/services/1" xmlns:uml="http://www.eclipse.org/uml2/5.0.0/UML" xsi:schemaLocation="http://www.eclipse.org/papyrus/DataTypes/1 http://www.eclipse.org/papyrus/MARTE/1#//MARTE_Annexes/VSL/DataTypes http://www.eclipse.org/papyrus/NFPs/1 http://www.eclipse.org/papyrus/MARTE/1#//MARTE_Foundations/NFPs http://www.eclipse.org/papyrus/robotics/commobject/1 http://www.eclipse.org/papyrus/robotics/1#//commobject http://www.eclipse.org/papyrus/robotics/generics/1 http://www.eclipse.org/papyrus/robotics/1#//generics http://www.eclipse.org/papyrus/robotics/services/1 http://www.eclipse.org/papyrus/robotics/1#//services">
  <uml:Model xmi:id="_9BZ1sEvVEeiD6o8-tlgjlw" name="BasicServicedef">
    <packageImport xmi:type="uml:PackageImport" xmi:id="_9orREEvVEeiD6o8-tlgjlw">
      <importedPackage xmi:type="uml:Model" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#_0"/>
    </packageImport>
    <packageImport xmi:type="uml:PackageImport" xmi:id="_WA2x4ExPEei_Sui04GqxlQ">
      <importedPackage xmi:type="uml:Model" href="pathmap://ROBOTICS_LIBRARIES/robotics.library.uml#_LaOOAJcvEeeV0-Lu2yLOjA"/>
    </packageImport>
    <packagedElement xmi:type="uml:Package" xmi:id="_3zwcoK9gEei3oP7IwGfT7w" name="servicedefs">
      <packagedElement xmi:type="uml:Interface" xmi:id="_bAhL4K-OEei3oP7IwGfT7w" name="InverseKinematicsComputation">
        <templateBinding xmi:type="uml:TemplateBinding" xmi:id="_8hp8oLJ1Eei-3KGQRKLeMQ">
          <parameterSubstitution xmi:type="uml:TemplateParameterSubstitution" xmi:id="_8hqjsLJ1Eei-3KGQRKLeMQ" actual="_op68oK-VEei3oP7IwGfT7w">
            <formal xmi:type="uml:ClassifierTemplateParameter" href="pathmap://ROBOTICS_LIBRARIES/robotics.library.uml#_5u2FwSanEeiurq-kTHMlgA"/>
          </parameterSubstitution>
          <parameterSubstitution xmi:type="uml:TemplateParameterSubstitution" xmi:id="_8hrKwLJ1Eei-3KGQRKLeMQ" actual="_e5NwAK9zEei3oP7IwGfT7w">
            <formal xmi:type="uml:ClassifierTemplateParameter" href="pathmap://ROBOTICS_LIBRARIES/robotics.library.uml#_5u2FwyanEeiurq-kTHMlgA"/>
          </parameterSubstitution>
          <signature xmi:type="uml:RedefinableTemplateSignature" href="pathmap://ROBOTICS_LIBRARIES/robotics.library.uml#_5u2FwCanEeiurq-kTHMlgA"/>
        </templateBinding>
        <ownedAttribute xmi:type="uml:Property" xmi:id="_VDmjQLAXEei3oP7IwGfT7w" name="requiresJointVelocity">
          <type xmi:type="uml:DataType" href="pathmap://Papyrus_PROFILES/MARTE_Library.library.uml#_55fyMBFGEdyBd9q9NMDXUQ"/>
        </ownedAttribute>
        <ownedAttribute xmi:type="uml:Property" xmi:id="_d0g_QLAXEei3oP7IwGfT7w" name="requiresJointAccel">
          <type xmi:type="uml:DataType" href="pathmap://Papyrus_PROFILES/MARTE_Library.library.uml#_55fyMBFGEdyBd9q9NMDXUQ"/>
        </ownedAttribute>
      </packagedElement>
      <packagedElement xmi:type="uml:Interface" xmi:id="_1CnPALBCEei3oP7IwGfT7w" name="JointState">
        <templateBinding xmi:type="uml:TemplateBinding" xmi:id="_08Jj0LJ1Eei-3KGQRKLeMQ">
          <parameterSubstitution xmi:type="uml:TemplateParameterSubstitution" xmi:id="_08Jj0bJ1Eei-3KGQRKLeMQ" actual="_e5NwAK9zEei3oP7IwGfT7w">
            <formal xmi:type="uml:ClassifierTemplateParameter" href="pathmap://ROBOTICS_LIBRARIES/robotics.library.uml#_HAQwoPIzEeeJotakjzOasQ"/>
          </parameterSubstitution>
          <signature xmi:type="uml:RedefinableTemplateSignature" href="pathmap://ROBOTICS_LIBRARIES/robotics.library.uml#_CagtgPIzEeeJotakjzOasQ"/>
        </templateBinding>
      </packagedElement>
      <packagedElement xmi:type="uml:Interface" xmi:id="_IgcbILJ8Eei-3KGQRKLeMQ" name="TrajectoryReferencePose3d">
        <templateBinding xmi:type="uml:TemplateBinding" xmi:id="_mBfowLJ9Eei-3KGQRKLeMQ">
          <parameterSubstitution xmi:type="uml:TemplateParameterSubstitution" xmi:id="_mBfowbJ9Eei-3KGQRKLeMQ" actual="_Nkfj0LJ8Eei-3KGQRKLeMQ">
            <formal xmi:type="uml:ClassifierTemplateParameter" href="pathmap://ROBOTICS_LIBRARIES/robotics.library.uml#_HAQwoPIzEeeJotakjzOasQ"/>
          </parameterSubstitution>
          <signature xmi:type="uml:RedefinableTemplateSignature" href="pathmap://ROBOTICS_LIBRARIES/robotics.library.uml#_CagtgPIzEeeJotakjzOasQ"/>
        </templateBinding>
      </packagedElement>
      <packagedElement xmi:type="uml:Interface" xmi:id="_rkZ48PaIEemue_PQ3GOClg" name="JointStateVector">
        <templateBinding xmi:type="uml:TemplateBinding" xmi:id="_zfCAgLXhEei9xYuCMewOpQ">
          <parameterSubstitution xmi:type="uml:TemplateParameterSubstitution" xmi:id="_zfCnkLXhEei9xYuCMewOpQ" actual="_e5NwAK9zEei3oP7IwGfT7w">
            <formal xmi:type="uml:ClassifierTemplateParameter" href="pathmap://ROBOTICS_LIBRARIES/robotics.library.uml#_HAQwoPIzEeeJotakjzOasQ"/>
          </parameterSubstitution>
          <signature xmi:type="uml:RedefinableTemplateSignature" href="pathmap://ROBOTICS_LIBRARIES/robotics.library.uml#_CagtgPIzEeeJotakjzOasQ"/>
        </templateBinding>
      </packagedElement>
      <packagedElement xmi:type="uml:Interface" xmi:id="_c3BCAPaJEemue_PQ3GOClg" name="Query_IKProblemSetup_JointStateVector">
        <templateBinding xmi:type="uml:TemplateBinding" xmi:id="_wMTrgLXhEei9xYuCMewOpQ">
          <parameterSubstitution xmi:type="uml:TemplateParameterSubstitution" xmi:id="_wMWHwLXhEei9xYuCMewOpQ" actual="_op68oK-VEei3oP7IwGfT7w">
            <formal xmi:type="uml:ClassifierTemplateParameter" href="pathmap://ROBOTICS_LIBRARIES/robotics.library.uml#_5u2FwSanEeiurq-kTHMlgA"/>
          </parameterSubstitution>
          <parameterSubstitution xmi:type="uml:TemplateParameterSubstitution" xmi:id="_wMWu0LXhEei9xYuCMewOpQ" actual="_e5NwAK9zEei3oP7IwGfT7w">
            <formal xmi:type="uml:ClassifierTemplateParameter" href="pathmap://ROBOTICS_LIBRARIES/robotics.library.uml#_5u2FwyanEeiurq-kTHMlgA"/>
          </parameterSubstitution>
          <signature xmi:type="uml:RedefinableTemplateSignature" href="pathmap://ROBOTICS_LIBRARIES/robotics.library.uml#_5u2FwCanEeiurq-kTHMlgA"/>
        </templateBinding>
      </packagedElement>
      <packagedElement xmi:type="uml:Interface" xmi:id="_jWcfQLXUEeiH6Ko6HOOVWw" name="CommandActuatorState">
        <templateBinding xmi:type="uml:TemplateBinding" xmi:id="_qbczELXUEeiH6Ko6HOOVWw">
          <parameterSubstitution xmi:type="uml:TemplateParameterSubstitution" xmi:id="_qbeoQLXUEeiH6Ko6HOOVWw" actual="_Zr5FgLXUEeiH6Ko6HOOVWw">
            <formal xmi:type="uml:ClassifierTemplateParameter" href="pathmap://ROBOTICS_LIBRARIES/robotics.library.uml#_6uKNsSanEeiurq-kTHMlgA"/>
          </parameterSubstitution>
          <signature xmi:type="uml:RedefinableTemplateSignature" href="pathmap://ROBOTICS_LIBRARIES/robotics.library.uml#_6uKNsCanEeiurq-kTHMlgA"/>
        </templateBinding>
      </packagedElement>
    </packagedElement>
    <packagedElement xmi:type="uml:Package" xmi:id="_8JwMgK9gEei3oP7IwGfT7w" name="datatypes">
      <packagedElement xmi:type="uml:DataType" xmi:id="_lUtkEK-EEei3oP7IwGfT7w" name="Position3d">
        <ownedAttribute xmi:type="uml:Property" xmi:id="_4EMiAK-EEei3oP7IwGfT7w" name="x">
          <type xmi:type="uml:DataType" href="pathmap://Papyrus_PROFILES/MARTE_Library.library.uml#_g4VH4BFTEdyUJeMeN__D-A"/>
        </ownedAttribute>
        <ownedAttribute xmi:type="uml:Property" xmi:id="_8DvgwK-EEei3oP7IwGfT7w" name="y">
          <type xmi:type="uml:DataType" href="pathmap://Papyrus_PROFILES/MARTE_Library.library.uml#_g4VH4BFTEdyUJeMeN__D-A"/>
        </ownedAttribute>
        <ownedAttribute xmi:type="uml:Property" xmi:id="_8e_SUK-EEei3oP7IwGfT7w" name="z">
          <type xmi:type="uml:DataType" href="pathmap://Papyrus_PROFILES/MARTE_Library.library.uml#_g4VH4BFTEdyUJeMeN__D-A"/>
        </ownedAttribute>
      </packagedElement>
      <packagedElement xmi:type="uml:DataType" xmi:id="_MYc7kLAYEei3oP7IwGfT7w" name="Orientation">
        <ownedAttribute xmi:type="uml:Property" xmi:id="_Sr2zULAYEei3oP7IwGfT7w" name="rpy" type="_pY2dAK-GEei3oP7IwGfT7w"/>
        <ownedAttribute xmi:type="uml:Property" xmi:id="_TGzC4LAYEei3oP7IwGfT7w" name="axAng" type="_tDKyoK-GEei3oP7IwGfT7w"/>
        <ownedAttribute xmi:type="uml:Property" xmi:id="_TfR0ULAYEei3oP7IwGfT7w" name="quat" type="_BIUjAK-HEei3oP7IwGfT7w"/>
      </packagedElement>
      <packagedElement xmi:type="uml:DataType" xmi:id="_pY2dAK-GEei3oP7IwGfT7w" name="RollPitchYaw">
        <ownedAttribute xmi:type="uml:Property" xmi:id="_Cp64oK-HEei3oP7IwGfT7w" name="roll" type="_uRy30K9YEei3oP7IwGfT7w"/>
        <ownedAttribute xmi:type="uml:Property" xmi:id="_FiMGQK-HEei3oP7IwGfT7w" name="pitch" type="_uRy30K9YEei3oP7IwGfT7w"/>
        <ownedAttribute xmi:type="uml:Property" xmi:id="_Gf4dkK-HEei3oP7IwGfT7w" name="yaw" type="_uRy30K9YEei3oP7IwGfT7w"/>
      </packagedElement>
      <packagedElement xmi:type="uml:DataType" xmi:id="_tDKyoK-GEei3oP7IwGfT7w" name="AxisAngle">
        <ownedAttribute xmi:type="uml:Property" xmi:id="_RdpysK-HEei3oP7IwGfT7w" name="axis" type="_lUtkEK-EEei3oP7IwGfT7w"/>
        <ownedAttribute xmi:type="uml:Property" xmi:id="_dP54wK-HEei3oP7IwGfT7w" name="v" type="_uRy30K9YEei3oP7IwGfT7w"/>
      </packagedElement>
      <packagedElement xmi:type="uml:DataType" xmi:id="_BIUjAK-HEei3oP7IwGfT7w" name="Quaternion">
        <ownedAttribute xmi:type="uml:Property" xmi:id="_jRr1AK-HEei3oP7IwGfT7w" name="w">
          <type xmi:type="uml:DataType" href="pathmap://Papyrus_PROFILES/MARTE_Library.library.uml#_Yq-MQBFQEdyUJeMeN__D-A"/>
        </ownedAttribute>
        <ownedAttribute xmi:type="uml:Property" xmi:id="_k0BKcK-HEei3oP7IwGfT7w" name="x">
          <type xmi:type="uml:DataType" href="pathmap://Papyrus_PROFILES/MARTE_Library.library.uml#_Yq-MQBFQEdyUJeMeN__D-A"/>
        </ownedAttribute>
        <ownedAttribute xmi:type="uml:Property" xmi:id="_lQFbYK-HEei3oP7IwGfT7w" name="y">
          <type xmi:type="uml:DataType" href="pathmap://Papyrus_PROFILES/MARTE_Library.library.uml#_Yq-MQBFQEdyUJeMeN__D-A"/>
        </ownedAttribute>
        <ownedAttribute xmi:type="uml:Property" xmi:id="_lwFxIK-HEei3oP7IwGfT7w" name="z">
          <type xmi:type="uml:DataType" href="pathmap://Papyrus_PROFILES/MARTE_Library.library.uml#_Yq-MQBFQEdyUJeMeN__D-A"/>
        </ownedAttribute>
      </packagedElement>
      <packagedElement xmi:type="uml:DataType" xmi:id="_C8KQcK-NEei3oP7IwGfT7w" name="Pose3d">
        <ownedAttribute xmi:type="uml:Property" xmi:id="_GKU1kK-NEei3oP7IwGfT7w" name="position" type="_lUtkEK-EEei3oP7IwGfT7w"/>
        <ownedAttribute xmi:type="uml:Property" xmi:id="_IpQWIK-NEei3oP7IwGfT7w" name="orientation" type="_MYc7kLAYEei3oP7IwGfT7w"/>
      </packagedElement>
      <packagedElement xmi:type="uml:DataType" xmi:id="_lBFtMK9zEei3oP7IwGfT7w" name="JointState">
        <ownedAttribute xmi:type="uml:Property" xmi:id="_t0KgwLBBEei3oP7IwGfT7w" name="position" type="_uRy30K9YEei3oP7IwGfT7w"/>
        <ownedAttribute xmi:type="uml:Property" xmi:id="_zh-_MLBBEei3oP7IwGfT7w" name="velocity" type="_ikkXcLAjEei3oP7IwGfT7w"/>
      </packagedElement>
      <packagedElement xmi:type="uml:DataType" xmi:id="_uRy30K9YEei3oP7IwGfT7w" name="Angle">
        <generalization xmi:type="uml:Generalization" xmi:id="_-VUl0K9YEei3oP7IwGfT7w">
          <general xmi:type="uml:DataType" href="pathmap://Papyrus_PROFILES/MARTE_Library.library.uml#_Yq-MQBFQEdyUJeMeN__D-A"/>
        </generalization>
        <ownedAttribute xmi:type="uml:Property" xmi:id="_vpnmYK9YEei3oP7IwGfT7w" name="unit" type="_xKY1kK9YEei3oP7IwGfT7w"/>
      </packagedElement>
      <packagedElement xmi:type="uml:Enumeration" xmi:id="_xKY1kK9YEei3oP7IwGfT7w" name="AngleUnitKind">
        <ownedLiteral xmi:type="uml:EnumerationLiteral" xmi:id="_yVunUK9YEei3oP7IwGfT7w" name="Degrees"/>
        <ownedLiteral xmi:type="uml:EnumerationLiteral" xmi:id="_zc6R0K9YEei3oP7IwGfT7w" name="Radians"/>
      </packagedElement>
      <packagedElement xmi:type="uml:DataType" xmi:id="_ikkXcLAjEei3oP7IwGfT7w" name="AngleRate">
        <generalization xmi:type="uml:Generalization" xmi:id="_m-sZYLAjEei3oP7IwGfT7w">
          <general xmi:type="uml:DataType" href="pathmap://Papyrus_PROFILES/MARTE_Library.library.uml#_Yq-MQBFQEdyUJeMeN__D-A"/>
        </generalization>
        <ownedAttribute xmi:type="uml:Property" xmi:id="_qFhAYLAjEei3oP7IwGfT7w" name="unit"/>
      </packagedElement>
      <packagedElement xmi:type="uml:DataType" xmi:id="_acfAkLAkEei3oP7IwGfT7w" name="Torque">
        <generalization xmi:type="uml:Generalization" xmi:id="_c56sULAkEei3oP7IwGfT7w">
          <general xmi:type="uml:DataType" href="pathmap://Papyrus_PROFILES/MARTE_Library.library.uml#_Yq-MQBFQEdyUJeMeN__D-A"/>
        </generalization>
        <ownedAttribute xmi:type="uml:Property" xmi:id="_dS07kLAkEei3oP7IwGfT7w" name="unit"/>
      </packagedElement>
    </packagedElement>
    <packagedElement xmi:type="uml:Package" xmi:id="_zV3wsK-PEei3oP7IwGfT7w" name="commobjects">
      <packagedElement xmi:type="uml:DataType" xmi:id="_op68oK-VEei3oP7IwGfT7w" name="IKProblemSetup">
        <ownedAttribute xmi:type="uml:Property" xmi:id="_7ytV8K-WEei3oP7IwGfT7w" name="target" type="_C8KQcK-NEei3oP7IwGfT7w"/>
        <ownedAttribute xmi:type="uml:Property" xmi:id="_Bed-4K-XEei3oP7IwGfT7w" name="initialJointState" type="_e5NwAK9zEei3oP7IwGfT7w"/>
      </packagedElement>
      <packagedElement xmi:type="uml:DataType" xmi:id="_e5NwAK9zEei3oP7IwGfT7w" name="JointStateVector">
        <ownedAttribute xmi:type="uml:Property" xmi:id="_gPwsMK9zEei3oP7IwGfT7w" name="data" type="_lBFtMK9zEei3oP7IwGfT7w">
          <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_fdVxsLAsEei3oP7IwGfT7w" value="1"/>
          <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_fdgJwLAsEei3oP7IwGfT7w" value="*"/>
        </ownedAttribute>
      </packagedElement>
      <packagedElement xmi:type="uml:DataType" xmi:id="_Nkfj0LJ8Eei-3KGQRKLeMQ" name="TimeStampedCartesianPose3d">
        <ownedAttribute xmi:type="uml:Property" xmi:id="_PZ0GsLJ8Eei-3KGQRKLeMQ" name="pose" type="_C8KQcK-NEei3oP7IwGfT7w"/>
        <ownedAttribute xmi:type="uml:Property" xmi:id="_QtWyMLJ8Eei-3KGQRKLeMQ" name="time">
          <type xmi:type="uml:DataType" href="pathmap://Papyrus_PROFILES/MARTE_Library.library.uml#_NIDGMBFREdyUJeMeN__D-A"/>
        </ownedAttribute>
      </packagedElement>
      <packagedElement xmi:type="uml:DataType" xmi:id="_Zr5FgLXUEeiH6Ko6HOOVWw" name="ActuatorTorqueVector">
        <ownedAttribute xmi:type="uml:Property" xmi:id="_bgSbULXUEeiH6Ko6HOOVWw" name="data" type="_acfAkLAkEei3oP7IwGfT7w">
          <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_c3Hl4PmNEemo9pEPSkbULg" value="*"/>
        </ownedAttribute>
      </packagedElement>
    </packagedElement>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_9KoqMEvVEeiD6o8-tlgjlw">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_9Kp4UEvVEeiD6o8-tlgjlw" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/bpc/1#/"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_BPC_PROFILES/bpc.profile.uml#__9qqMJZ1Eeeq1f8hGgKVzA"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_9lSl4EvVEeiD6o8-tlgjlw">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_9lTM8EvVEeiD6o8-tlgjlw" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#/"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#__9qqMJZ1Eeeq1f8hGgKVzA"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_9lT0AEvVEeiD6o8-tlgjlw">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_9lUbEEvVEeiD6o8-tlgjlw" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//components"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_EZ1TgJZ2Eeeq1f8hGgKVzA"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_9lUbEUvVEeiD6o8-tlgjlw">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_9lVCIEvVEeiD6o8-tlgjlw" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//commpattern"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_8Z6x8Je6EeeiCOWsEr9OuA"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_9lVpMEvVEeiD6o8-tlgjlw">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_9lVpMUvVEeiD6o8-tlgjlw" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//deployment"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_tu6OsJe9EeeiCOWsEr9OuA"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_9lWQQEvVEeiD6o8-tlgjlw">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_9lWQQUvVEeiD6o8-tlgjlw" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//services"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_SlbOAJe_EeeiCOWsEr9OuA"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_9lW3UEvVEeiD6o8-tlgjlw">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_9lW3UUvVEeiD6o8-tlgjlw" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//commobject"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_bz5AcPCaEeee6ab5J_C5Dg"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_9lW3UkvVEeiD6o8-tlgjlw">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_9lXeYEvVEeiD6o8-tlgjlw" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//functions"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_SV7GwC6LEei0V9-WLHIyvg"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_9lXeYUvVEeiD6o8-tlgjlw">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_9lXeYkvVEeiD6o8-tlgjlw" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//parameters"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_-pU5oDmpEei--ZsfKWaFtw"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_9lYFcEvVEeiD6o8-tlgjlw">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_9lYFcUvVEeiD6o8-tlgjlw" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//generics"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_eFhjMEnvEeien6eLHpkAxA"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_FGXKoEvWEeiD6o8-tlgjlw">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_FGZm4EvWEeiD6o8-tlgjlw" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/MARTE/1#//MARTE_Foundations/NFPs"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://Papyrus_PROFILES/MARTE.profile.uml#_U_GAoAPMEdyuUt-4qHuVvQ"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_kFbggEv6Eei_HNVi8DieOA">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_kFo74Ev6Eei_HNVi8DieOA" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/MARTE/1#//MARTE_Annexes/VSL/DataTypes"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://Papyrus_PROFILES/MARTE.profile.uml#_9FdqwA-MEdyLh7muGbCqMw"/>
    </profileApplication>
  </uml:Model>
  <robotics.services:ServiceDefinitionModel xmi:id="_VpVasK9gEei3oP7IwGfT7w" base_Package="_9BZ1sEvVEeiD6o8-tlgjlw">
    <v xmi:type="bpc:VersionMetaData" xmi:id="_VpVasa9gEei3oP7IwGfT7w"/>
    <id xmi:type="bpc:IdMetaData" xmi:id="_VpVasq9gEei3oP7IwGfT7w" instance_uid="_VpVasq9gEei3oP7IwGfT7w"/>
  </robotics.services:ServiceDefinitionModel>
  <robotics.generics:Package xmi:id="_7knfIK9gEei3oP7IwGfT7w" base_Package="_3zwcoK9gEei3oP7IwGfT7w">
    <v xmi:type="bpc:VersionMetaData" xmi:id="_7knfIa9gEei3oP7IwGfT7w"/>
    <id xmi:type="bpc:IdMetaData" xmi:id="_7knfIq9gEei3oP7IwGfT7w" instance_uid="_7knfIq9gEei3oP7IwGfT7w"/>
  </robotics.generics:Package>
  <robotics.generics:Package xmi:id="_9HK3AK9gEei3oP7IwGfT7w" base_Package="_8JwMgK9gEei3oP7IwGfT7w">
    <v xmi:type="bpc:VersionMetaData" xmi:id="_9HLeEK9gEei3oP7IwGfT7w"/>
    <id xmi:type="bpc:IdMetaData" xmi:id="_9HLeEa9gEei3oP7IwGfT7w" instance_uid="_9HLeEa9gEei3oP7IwGfT7w"/>
  </robotics.generics:Package>
  <robotics.commobject:DataAttribute xmi:id="_gPzIcK9zEei3oP7IwGfT7w" base_Property="_gPwsMK9zEei3oP7IwGfT7w">
    <v xmi:type="bpc:VersionMetaData" xmi:id="_gPzIca9zEei3oP7IwGfT7w"/>
    <id xmi:type="bpc:IdMetaData" xmi:id="_gPzIcq9zEei3oP7IwGfT7w" instance_uid="_gPzIcq9zEei3oP7IwGfT7w"/>
  </robotics.commobject:DataAttribute>
  <DataTypes:TupleType xmi:id="_lUwnYK-EEei3oP7IwGfT7w" tupleAttrib="_4EMiAK-EEei3oP7IwGfT7w _8DvgwK-EEei3oP7IwGfT7w _8e_SUK-EEei3oP7IwGfT7w" base_DataType="_lUtkEK-EEei3oP7IwGfT7w"/>
  <robotics.commobject:DataType xmi:id="_lUwnYa-EEei3oP7IwGfT7w" base_DataType="_lUtkEK-EEei3oP7IwGfT7w">
    <v xmi:type="bpc:VersionMetaData" xmi:id="_lUwnYq-EEei3oP7IwGfT7w"/>
    <id xmi:type="bpc:IdMetaData" xmi:id="_lUwnY6-EEei3oP7IwGfT7w" instance_uid="_lUwnY6-EEei3oP7IwGfT7w"/>
  </robotics.commobject:DataType>
  <robotics.commobject:DataAttribute xmi:id="_4EO-QK-EEei3oP7IwGfT7w" base_Property="_4EMiAK-EEei3oP7IwGfT7w">
    <v xmi:type="bpc:VersionMetaData" xmi:id="_4EO-Qa-EEei3oP7IwGfT7w"/>
    <id xmi:type="bpc:IdMetaData" xmi:id="_4EO-Qq-EEei3oP7IwGfT7w" instance_uid="_4EO-Qq-EEei3oP7IwGfT7w"/>
  </robotics.commobject:DataAttribute>
  <robotics.commobject:DataAttribute xmi:id="_8DxV8K-EEei3oP7IwGfT7w" base_Property="_8DvgwK-EEei3oP7IwGfT7w">
    <v xmi:type="bpc:VersionMetaData" xmi:id="_8DxV8a-EEei3oP7IwGfT7w"/>
    <id xmi:type="bpc:IdMetaData" xmi:id="_8DxV8q-EEei3oP7IwGfT7w" instance_uid="_8DxV8q-EEei3oP7IwGfT7w"/>
  </robotics.commobject:DataAttribute>
  <robotics.commobject:DataAttribute xmi:id="_8fCVoK-EEei3oP7IwGfT7w" base_Property="_8e_SUK-EEei3oP7IwGfT7w">
    <v xmi:type="bpc:VersionMetaData" xmi:id="_8fCVoa-EEei3oP7IwGfT7w"/>
    <id xmi:type="bpc:IdMetaData" xmi:id="_8fCVoq-EEei3oP7IwGfT7w" instance_uid="_8fCVoq-EEei3oP7IwGfT7w"/>
  </robotics.commobject:DataAttribute>
  <DataTypes:TupleType xmi:id="_pY45QK-GEei3oP7IwGfT7w" tupleAttrib="_Cp64oK-HEei3oP7IwGfT7w _FiMGQK-HEei3oP7IwGfT7w _Gf4dkK-HEei3oP7IwGfT7w" base_DataType="_pY2dAK-GEei3oP7IwGfT7w"/>
  <robotics.commobject:DataType xmi:id="_pY5gUK-GEei3oP7IwGfT7w" base_DataType="_pY2dAK-GEei3oP7IwGfT7w">
    <v xmi:type="bpc:VersionMetaData" xmi:id="_pY5gUa-GEei3oP7IwGfT7w"/>
    <id xmi:type="bpc:IdMetaData" xmi:id="_pY5gUq-GEei3oP7IwGfT7w" instance_uid="_pY5gUq-GEei3oP7IwGfT7w"/>
  </robotics.commobject:DataType>
  <DataTypes:TupleType xmi:id="_tDMn0K-GEei3oP7IwGfT7w" tupleAttrib="_RdpysK-HEei3oP7IwGfT7w _dP54wK-HEei3oP7IwGfT7w" base_DataType="_tDKyoK-GEei3oP7IwGfT7w"/>
  <robotics.commobject:DataType xmi:id="_tDMn0a-GEei3oP7IwGfT7w" base_DataType="_tDKyoK-GEei3oP7IwGfT7w">
    <v xmi:type="bpc:VersionMetaData" xmi:id="_tDMn0q-GEei3oP7IwGfT7w"/>
    <id xmi:type="bpc:IdMetaData" xmi:id="_tDMn06-GEei3oP7IwGfT7w" instance_uid="_tDMn06-GEei3oP7IwGfT7w"/>
  </robotics.commobject:DataType>
  <DataTypes:TupleType xmi:id="_BIW_QK-HEei3oP7IwGfT7w" tupleAttrib="_jRr1AK-HEei3oP7IwGfT7w _k0BKcK-HEei3oP7IwGfT7w _lQFbYK-HEei3oP7IwGfT7w _lwFxIK-HEei3oP7IwGfT7w" base_DataType="_BIUjAK-HEei3oP7IwGfT7w"/>
  <robotics.commobject:DataType xmi:id="_BIW_Qa-HEei3oP7IwGfT7w" base_DataType="_BIUjAK-HEei3oP7IwGfT7w">
    <v xmi:type="bpc:VersionMetaData" xmi:id="_BIW_Qq-HEei3oP7IwGfT7w"/>
    <id xmi:type="bpc:IdMetaData" xmi:id="_BIW_Q6-HEei3oP7IwGfT7w" instance_uid="_BIW_Q6-HEei3oP7IwGfT7w"/>
  </robotics.commobject:DataType>
  <robotics.commobject:DataAttribute xmi:id="_Cp9U4K-HEei3oP7IwGfT7w" base_Property="_Cp64oK-HEei3oP7IwGfT7w">
    <v xmi:type="bpc:VersionMetaData" xmi:id="_Cp9U4a-HEei3oP7IwGfT7w"/>
    <id xmi:type="bpc:IdMetaData" xmi:id="_Cp9U4q-HEei3oP7IwGfT7w"/>
  </robotics.commobject:DataAttribute>
  <robotics.commobject:DataAttribute xmi:id="_FiOigK-HEei3oP7IwGfT7w" base_Property="_FiMGQK-HEei3oP7IwGfT7w">
    <v xmi:type="bpc:VersionMetaData" xmi:id="_FiOiga-HEei3oP7IwGfT7w"/>
    <id xmi:type="bpc:IdMetaData" xmi:id="_FiOigq-HEei3oP7IwGfT7w"/>
  </robotics.commobject:DataAttribute>
  <robotics.commobject:DataAttribute xmi:id="_Gf6SwK-HEei3oP7IwGfT7w" base_Property="_Gf4dkK-HEei3oP7IwGfT7w">
    <v xmi:type="bpc:VersionMetaData" xmi:id="_Gf6Swa-HEei3oP7IwGfT7w"/>
    <id xmi:type="bpc:IdMetaData" xmi:id="_Gf6Swq-HEei3oP7IwGfT7w"/>
  </robotics.commobject:DataAttribute>
  <robotics.commobject:DataAttribute xmi:id="_RdsO8K-HEei3oP7IwGfT7w" base_Property="_RdpysK-HEei3oP7IwGfT7w">
    <v xmi:type="bpc:VersionMetaData" xmi:id="_RdsO8a-HEei3oP7IwGfT7w"/>
    <id xmi:type="bpc:IdMetaData" xmi:id="_RdsO8q-HEei3oP7IwGfT7w" instance_uid="_RdsO8q-HEei3oP7IwGfT7w"/>
  </robotics.commobject:DataAttribute>
  <robotics.commobject:DataAttribute xmi:id="_dP7t8K-HEei3oP7IwGfT7w" base_Property="_dP54wK-HEei3oP7IwGfT7w">
    <v xmi:type="bpc:VersionMetaData" xmi:id="_dP7t8a-HEei3oP7IwGfT7w"/>
    <id xmi:type="bpc:IdMetaData" xmi:id="_dP7t8q-HEei3oP7IwGfT7w" instance_uid="_dP7t8q-HEei3oP7IwGfT7w"/>
  </robotics.commobject:DataAttribute>
  <robotics.commobject:DataAttribute xmi:id="_jRwtgK-HEei3oP7IwGfT7w" base_Property="_jRr1AK-HEei3oP7IwGfT7w">
    <v xmi:type="bpc:VersionMetaData" xmi:id="_jRwtga-HEei3oP7IwGfT7w"/>
    <id xmi:type="bpc:IdMetaData" xmi:id="_jRwtgq-HEei3oP7IwGfT7w" instance_uid="_jRwtgq-HEei3oP7IwGfT7w"/>
  </robotics.commobject:DataAttribute>
  <robotics.commobject:DataAttribute xmi:id="_k0ENwK-HEei3oP7IwGfT7w" base_Property="_k0BKcK-HEei3oP7IwGfT7w">
    <v xmi:type="bpc:VersionMetaData" xmi:id="_k0ENwa-HEei3oP7IwGfT7w"/>
    <id xmi:type="bpc:IdMetaData" xmi:id="_k0ENwq-HEei3oP7IwGfT7w" instance_uid="_k0ENwq-HEei3oP7IwGfT7w"/>
  </robotics.commobject:DataAttribute>
  <robotics.commobject:DataAttribute xmi:id="_lQHQkK-HEei3oP7IwGfT7w" base_Property="_lQFbYK-HEei3oP7IwGfT7w">
    <v xmi:type="bpc:VersionMetaData" xmi:id="_lQHQka-HEei3oP7IwGfT7w"/>
    <id xmi:type="bpc:IdMetaData" xmi:id="_lQHQkq-HEei3oP7IwGfT7w" instance_uid="_lQHQkq-HEei3oP7IwGfT7w"/>
  </robotics.commobject:DataAttribute>
  <robotics.commobject:DataAttribute xmi:id="_lwHmUK-HEei3oP7IwGfT7w" base_Property="_lwFxIK-HEei3oP7IwGfT7w">
    <v xmi:type="bpc:VersionMetaData" xmi:id="_lwHmUa-HEei3oP7IwGfT7w"/>
    <id xmi:type="bpc:IdMetaData" xmi:id="_lwHmUq-HEei3oP7IwGfT7w" instance_uid="_lwHmUq-HEei3oP7IwGfT7w"/>
  </robotics.commobject:DataAttribute>
  <DataTypes:TupleType xmi:id="_C8NTwK-NEei3oP7IwGfT7w" tupleAttrib="_GKU1kK-NEei3oP7IwGfT7w _IpQWIK-NEei3oP7IwGfT7w" base_DataType="_C8KQcK-NEei3oP7IwGfT7w"/>
  <robotics.commobject:DataAttribute xmi:id="_GKXR0K-NEei3oP7IwGfT7w" base_Property="_GKU1kK-NEei3oP7IwGfT7w">
    <v xmi:type="bpc:VersionMetaData" xmi:id="_GKXR0a-NEei3oP7IwGfT7w"/>
    <id xmi:type="bpc:IdMetaData" xmi:id="_GKXR0q-NEei3oP7IwGfT7w" instance_uid="_GKXR0q-NEei3oP7IwGfT7w"/>
  </robotics.commobject:DataAttribute>
  <robotics.commobject:DataAttribute xmi:id="_IpSyYK-NEei3oP7IwGfT7w" base_Property="_IpQWIK-NEei3oP7IwGfT7w">
    <v xmi:type="bpc:VersionMetaData" xmi:id="_IpSyYa-NEei3oP7IwGfT7w"/>
    <id xmi:type="bpc:IdMetaData" xmi:id="_IpSyYq-NEei3oP7IwGfT7w" instance_uid="_IpSyYq-NEei3oP7IwGfT7w"/>
  </robotics.commobject:DataAttribute>
  <robotics.services:ServiceDefinition xmi:id="_bAjBEK-OEei3oP7IwGfT7w" base_Interface="_bAhL4K-OEei3oP7IwGfT7w">
    <v xmi:type="bpc:VersionMetaData" xmi:id="_bAjBEa-OEei3oP7IwGfT7w"/>
    <id xmi:type="bpc:IdMetaData" xmi:id="_bAjBEq-OEei3oP7IwGfT7w" instance_uid="_bAjBEq-OEei3oP7IwGfT7w"/>
  </robotics.services:ServiceDefinition>
  <robotics.commobject:DataType xmi:id="_HVXlAK-QEei3oP7IwGfT7w" base_DataType="_C8KQcK-NEei3oP7IwGfT7w">
    <v xmi:type="bpc:VersionMetaData" xmi:id="_HVXlAa-QEei3oP7IwGfT7w"/>
    <id xmi:type="bpc:IdMetaData" xmi:id="_HVXlAq-QEei3oP7IwGfT7w" instance_uid="_HVXlAq-QEei3oP7IwGfT7w"/>
  </robotics.commobject:DataType>
  <DataTypes:TupleType xmi:id="_op9Y4K-VEei3oP7IwGfT7w" tupleAttrib="_7ytV8K-WEei3oP7IwGfT7w _Bed-4K-XEei3oP7IwGfT7w" base_DataType="_op68oK-VEei3oP7IwGfT7w"/>
  <robotics.commobject:DataAttribute xmi:id="_7yvyMK-WEei3oP7IwGfT7w" base_Property="_7ytV8K-WEei3oP7IwGfT7w">
    <v xmi:type="bpc:VersionMetaData" xmi:id="_7yvyMa-WEei3oP7IwGfT7w"/>
    <id xmi:type="bpc:IdMetaData" xmi:id="_7yvyMq-WEei3oP7IwGfT7w" instance_uid="_7yvyMq-WEei3oP7IwGfT7w"/>
  </robotics.commobject:DataAttribute>
  <robotics.commobject:DataAttribute xmi:id="_Bef0EK-XEei3oP7IwGfT7w" base_Property="_Bed-4K-XEei3oP7IwGfT7w">
    <v xmi:type="bpc:VersionMetaData" xmi:id="_Bef0Ea-XEei3oP7IwGfT7w"/>
    <id xmi:type="bpc:IdMetaData" xmi:id="_Bef0Eq-XEei3oP7IwGfT7w" instance_uid="_Bef0Eq-XEei3oP7IwGfT7w"/>
  </robotics.commobject:DataAttribute>
  <robotics.commobject:CommunicationObject xmi:id="_SnE2cLAXEei3oP7IwGfT7w" base_DataType="_op68oK-VEei3oP7IwGfT7w">
    <v xmi:type="bpc:VersionMetaData" xmi:id="_SnE2cbAXEei3oP7IwGfT7w"/>
    <id xmi:type="bpc:IdMetaData" xmi:id="_SnE2crAXEei3oP7IwGfT7w" instance_uid="_SnE2crAXEei3oP7IwGfT7w"/>
  </robotics.commobject:CommunicationObject>
  <robotics.services:ServiceProperty xmi:id="_VDqNoLAXEei3oP7IwGfT7w" base_Property="_VDmjQLAXEei3oP7IwGfT7w">
    <v xmi:type="bpc:VersionMetaData" xmi:id="_VDqNobAXEei3oP7IwGfT7w"/>
    <id xmi:type="bpc:IdMetaData" xmi:id="_VDqNorAXEei3oP7IwGfT7w" instance_uid="_VDqNorAXEei3oP7IwGfT7w"/>
  </robotics.services:ServiceProperty>
  <robotics.services:ServiceProperty xmi:id="_d0i0cLAXEei3oP7IwGfT7w" base_Property="_d0g_QLAXEei3oP7IwGfT7w">
    <v xmi:type="bpc:VersionMetaData" xmi:id="_d0i0cbAXEei3oP7IwGfT7w"/>
    <id xmi:type="bpc:IdMetaData" xmi:id="_d0i0crAXEei3oP7IwGfT7w" instance_uid="_d0i0crAXEei3oP7IwGfT7w"/>
  </robotics.services:ServiceProperty>
  <DataTypes:ChoiceType xmi:id="_MYewwLAYEei3oP7IwGfT7w" choiceAttrib="_Sr2zULAYEei3oP7IwGfT7w _TGzC4LAYEei3oP7IwGfT7w _TfR0ULAYEei3oP7IwGfT7w" defaultAttrib="_TfR0ULAYEei3oP7IwGfT7w" base_DataType="_MYc7kLAYEei3oP7IwGfT7w"/>
  <robotics.commobject:DataType xmi:id="_MYfX0LAYEei3oP7IwGfT7w" base_DataType="_MYc7kLAYEei3oP7IwGfT7w">
    <v xmi:type="bpc:VersionMetaData" xmi:id="_MYfX0bAYEei3oP7IwGfT7w"/>
    <id xmi:type="bpc:IdMetaData" xmi:id="_MYfX0rAYEei3oP7IwGfT7w" instance_uid="_MYfX0rAYEei3oP7IwGfT7w"/>
  </robotics.commobject:DataType>
  <robotics.commobject:DataAttribute xmi:id="_Sr4ogLAYEei3oP7IwGfT7w" base_Property="_Sr2zULAYEei3oP7IwGfT7w">
    <v xmi:type="bpc:VersionMetaData" xmi:id="_Sr4ogbAYEei3oP7IwGfT7w"/>
    <id xmi:type="bpc:IdMetaData" xmi:id="_Sr4ogrAYEei3oP7IwGfT7w" instance_uid="_Sr4ogrAYEei3oP7IwGfT7w"/>
  </robotics.commobject:DataAttribute>
  <robotics.commobject:DataAttribute xmi:id="_TG04ELAYEei3oP7IwGfT7w" base_Property="_TGzC4LAYEei3oP7IwGfT7w">
    <v xmi:type="bpc:VersionMetaData" xmi:id="_TG04EbAYEei3oP7IwGfT7w"/>
    <id xmi:type="bpc:IdMetaData" xmi:id="_TG04ErAYEei3oP7IwGfT7w" instance_uid="_TG04ErAYEei3oP7IwGfT7w"/>
  </robotics.commobject:DataAttribute>
  <robotics.commobject:DataAttribute xmi:id="_TfUQkLAYEei3oP7IwGfT7w" base_Property="_TfR0ULAYEei3oP7IwGfT7w">
    <v xmi:type="bpc:VersionMetaData" xmi:id="_TfUQkbAYEei3oP7IwGfT7w"/>
    <id xmi:type="bpc:IdMetaData" xmi:id="_TfUQkrAYEei3oP7IwGfT7w" instance_uid="_TfUQkrAYEei3oP7IwGfT7w"/>
  </robotics.commobject:DataAttribute>
  <DataTypes:CollectionType xmi:id="_jyCEkLAtEei3oP7IwGfT7w" collectionAttrib="_gPwsMK9zEei3oP7IwGfT7w" base_DataType="_e5NwAK9zEei3oP7IwGfT7w"/>
  <robotics.generics:Package xmi:id="_mb6bcLAuEei3oP7IwGfT7w" base_Package="_zV3wsK-PEei3oP7IwGfT7w">
    <v xmi:type="bpc:VersionMetaData" xmi:id="_mb6bcbAuEei3oP7IwGfT7w"/>
    <id xmi:type="bpc:IdMetaData" xmi:id="_mb6bcrAuEei3oP7IwGfT7w" instance_uid="_mb6bcrAuEei3oP7IwGfT7w"/>
  </robotics.generics:Package>
  <robotics.commobject:DataAttribute xmi:id="_t0MV8LBBEei3oP7IwGfT7w" base_Property="_t0KgwLBBEei3oP7IwGfT7w">
    <v xmi:type="bpc:VersionMetaData" xmi:id="_t0MV8bBBEei3oP7IwGfT7w"/>
    <id xmi:type="bpc:IdMetaData" xmi:id="_t0MV8rBBEei3oP7IwGfT7w" instance_uid="_t0MV8rBBEei3oP7IwGfT7w"/>
  </robotics.commobject:DataAttribute>
  <robotics.commobject:DataAttribute xmi:id="_ziCCgLBBEei3oP7IwGfT7w" base_Property="_zh-_MLBBEei3oP7IwGfT7w">
    <v xmi:type="bpc:VersionMetaData" xmi:id="_ziCCgbBBEei3oP7IwGfT7w"/>
    <id xmi:type="bpc:IdMetaData" xmi:id="_ziCCgrBBEei3oP7IwGfT7w" instance_uid="_ziCCgrBBEei3oP7IwGfT7w"/>
  </robotics.commobject:DataAttribute>
  <DataTypes:TupleType xmi:id="_3j9m4LBBEei3oP7IwGfT7w" tupleAttrib="_t0KgwLBBEei3oP7IwGfT7w _zh-_MLBBEei3oP7IwGfT7w" base_DataType="_lBFtMK9zEei3oP7IwGfT7w"/>
  <robotics.commobject:DataType xmi:id="_lBIwga9zEei3oP7IwGfT7w" base_DataType="_lBFtMK9zEei3oP7IwGfT7w">
    <v xmi:type="bpc:VersionMetaData" xmi:id="_lBIwgq9zEei3oP7IwGfT7w"/>
    <id xmi:type="bpc:IdMetaData" xmi:id="_lBIwg69zEei3oP7IwGfT7w" instance_uid="_lBIwg69zEei3oP7IwGfT7w"/>
  </robotics.commobject:DataType>
  <robotics.commobject:CommunicationObject xmi:id="_ggkHQLBCEei3oP7IwGfT7w" base_DataType="_e5NwAK9zEei3oP7IwGfT7w">
    <v xmi:type="bpc:VersionMetaData" xmi:id="_ggkHQbBCEei3oP7IwGfT7w"/>
    <id xmi:type="bpc:IdMetaData" xmi:id="_ggkHQrBCEei3oP7IwGfT7w" instance_uid="_ggkHQrBCEei3oP7IwGfT7w"/>
  </robotics.commobject:CommunicationObject>
  <robotics.services:ServiceDefinition xmi:id="_1CpEMLBCEei3oP7IwGfT7w" base_Interface="_1CnPALBCEei3oP7IwGfT7w">
    <v xmi:type="bpc:VersionMetaData" xmi:id="_1CpEMbBCEei3oP7IwGfT7w"/>
    <id xmi:type="bpc:IdMetaData" xmi:id="_1CpEMrBCEei3oP7IwGfT7w" instance_uid="_1CpEMrBCEei3oP7IwGfT7w"/>
  </robotics.services:ServiceDefinition>
  <robotics.services:ServiceDefinition xmi:id="_IgpPcLJ8Eei-3KGQRKLeMQ" base_Interface="_IgcbILJ8Eei-3KGQRKLeMQ">
    <v xmi:type="bpc:VersionMetaData" xmi:id="_IgpPcbJ8Eei-3KGQRKLeMQ"/>
    <id xmi:type="bpc:IdMetaData" xmi:id="_IgpPcrJ8Eei-3KGQRKLeMQ" instance_uid="_IgpPcrJ8Eei-3KGQRKLeMQ"/>
  </robotics.services:ServiceDefinition>
  <DataTypes:TupleType xmi:id="_NkjOMLJ8Eei-3KGQRKLeMQ" tupleAttrib="_PZ0GsLJ8Eei-3KGQRKLeMQ _QtWyMLJ8Eei-3KGQRKLeMQ" base_DataType="_Nkfj0LJ8Eei-3KGQRKLeMQ"/>
  <robotics.commobject:DataAttribute xmi:id="_PZ5mQLJ8Eei-3KGQRKLeMQ" base_Property="_PZ0GsLJ8Eei-3KGQRKLeMQ">
    <v xmi:type="bpc:VersionMetaData" xmi:id="_PZ5mQbJ8Eei-3KGQRKLeMQ"/>
    <id xmi:type="bpc:IdMetaData" xmi:id="_PZ5mQrJ8Eei-3KGQRKLeMQ" instance_uid="_PZ5mQrJ8Eei-3KGQRKLeMQ"/>
  </robotics.commobject:DataAttribute>
  <robotics.commobject:DataAttribute xmi:id="_QtackLJ8Eei-3KGQRKLeMQ" base_Property="_QtWyMLJ8Eei-3KGQRKLeMQ">
    <v xmi:type="bpc:VersionMetaData" xmi:id="_QtackbJ8Eei-3KGQRKLeMQ"/>
    <id xmi:type="bpc:IdMetaData" xmi:id="_QtackrJ8Eei-3KGQRKLeMQ" instance_uid="_QtackrJ8Eei-3KGQRKLeMQ"/>
  </robotics.commobject:DataAttribute>
  <robotics.commobject:CommunicationObject xmi:id="_rIemILJ8Eei-3KGQRKLeMQ" base_DataType="_Nkfj0LJ8Eei-3KGQRKLeMQ">
    <v xmi:type="bpc:VersionMetaData" xmi:id="_rIemIbJ8Eei-3KGQRKLeMQ"/>
    <id xmi:type="bpc:IdMetaData" xmi:id="_rIemIrJ8Eei-3KGQRKLeMQ"/>
  </robotics.commobject:CommunicationObject>
  <robotics.commobject:DataType xmi:id="_uSCvcK9YEei3oP7IwGfT7w" base_DataType="_uRy30K9YEei3oP7IwGfT7w">
    <v xmi:type="bpc:VersionMetaData" xmi:id="_uSCvca9YEei3oP7IwGfT7w"/>
    <id xmi:type="bpc:IdMetaData" xmi:id="_uSCvcq9YEei3oP7IwGfT7w" instance_uid="_uSCvcq9YEei3oP7IwGfT7w"/>
  </robotics.commobject:DataType>
  <robotics.commobject:DataAttribute xmi:id="_vpwwUK9YEei3oP7IwGfT7w" base_Property="_vpnmYK9YEei3oP7IwGfT7w">
    <v xmi:type="bpc:VersionMetaData" xmi:id="_vpwwUa9YEei3oP7IwGfT7w"/>
    <id xmi:type="bpc:IdMetaData" xmi:id="_vpwwUq9YEei3oP7IwGfT7w" instance_uid="_vpwwUq9YEei3oP7IwGfT7w"/>
  </robotics.commobject:DataAttribute>
  <robotics.commobject:Enumeration xmi:id="_xKduEK9YEei3oP7IwGfT7w" base_DataType="_xKY1kK9YEei3oP7IwGfT7w">
    <v xmi:type="bpc:VersionMetaData" xmi:id="_xKduEa9YEei3oP7IwGfT7w"/>
    <id xmi:type="bpc:IdMetaData" xmi:id="_xKduEq9YEei3oP7IwGfT7w" instance_uid="_xKduEq9YEei3oP7IwGfT7w"/>
  </robotics.commobject:Enumeration>
  <robotics.commobject:EnumerationLiteral xmi:id="_yV3KMK9YEei3oP7IwGfT7w" base_EnumerationLiteral="_yVunUK9YEei3oP7IwGfT7w">
    <v xmi:type="bpc:VersionMetaData" xmi:id="_yV3KMa9YEei3oP7IwGfT7w"/>
    <id xmi:type="bpc:IdMetaData" xmi:id="_yV3KMq9YEei3oP7IwGfT7w" instance_uid="_yV3KMq9YEei3oP7IwGfT7w"/>
  </robotics.commobject:EnumerationLiteral>
  <robotics.commobject:EnumerationLiteral xmi:id="_zdIUQK9YEei3oP7IwGfT7w" base_EnumerationLiteral="_zc6R0K9YEei3oP7IwGfT7w">
    <v xmi:type="bpc:VersionMetaData" xmi:id="_zdIUQa9YEei3oP7IwGfT7w"/>
    <id xmi:type="bpc:IdMetaData" xmi:id="_zdIUQq9YEei3oP7IwGfT7w" instance_uid="_zdIUQq9YEei3oP7IwGfT7w"/>
  </robotics.commobject:EnumerationLiteral>
  <robotics.generics:Is_a xmi:id="_-VY3QK9YEei3oP7IwGfT7w" base_Generalization="_-VUl0K9YEei3oP7IwGfT7w">
    <v xmi:type="bpc:VersionMetaData" xmi:id="_-VY3Qa9YEei3oP7IwGfT7w"/>
    <id xmi:type="bpc:IdMetaData" xmi:id="_-VY3Qq9YEei3oP7IwGfT7w" instance_uid="_-VY3Qq9YEei3oP7IwGfT7w"/>
  </robotics.generics:Is_a>
  <robotics.commobject:DataType xmi:id="_ikoo4bAjEei3oP7IwGfT7w" base_DataType="_ikkXcLAjEei3oP7IwGfT7w">
    <v xmi:type="bpc:VersionMetaData" xmi:id="_ikoo4rAjEei3oP7IwGfT7w"/>
    <id xmi:type="bpc:IdMetaData" xmi:id="_ikoo47AjEei3oP7IwGfT7w" instance_uid="_ikoo47AjEei3oP7IwGfT7w"/>
  </robotics.commobject:DataType>
  <robotics.generics:Is_a xmi:id="_m-u1oLAjEei3oP7IwGfT7w" base_Generalization="_m-sZYLAjEei3oP7IwGfT7w">
    <v xmi:type="bpc:VersionMetaData" xmi:id="_m-u1obAjEei3oP7IwGfT7w"/>
    <id xmi:type="bpc:IdMetaData" xmi:id="_m-u1orAjEei3oP7IwGfT7w" instance_uid="_m-u1orAjEei3oP7IwGfT7w"/>
  </robotics.generics:Is_a>
  <robotics.commobject:DataAttribute xmi:id="_qFkDsLAjEei3oP7IwGfT7w" base_Property="_qFhAYLAjEei3oP7IwGfT7w">
    <v xmi:type="bpc:VersionMetaData" xmi:id="_qFkDsbAjEei3oP7IwGfT7w"/>
    <id xmi:type="bpc:IdMetaData" xmi:id="_qFkDsrAjEei3oP7IwGfT7w" instance_uid="_qFkDsrAjEei3oP7IwGfT7w"/>
  </robotics.commobject:DataAttribute>
  <robotics.commobject:DataType xmi:id="_achc0LAkEei3oP7IwGfT7w" base_DataType="_acfAkLAkEei3oP7IwGfT7w">
    <v xmi:type="bpc:VersionMetaData" xmi:id="_achc0bAkEei3oP7IwGfT7w"/>
    <id xmi:type="bpc:IdMetaData" xmi:id="_achc0rAkEei3oP7IwGfT7w" instance_uid="_achc0rAkEei3oP7IwGfT7w"/>
  </robotics.commobject:DataType>
  <robotics.generics:Is_a xmi:id="_c58hgLAkEei3oP7IwGfT7w" base_Generalization="_c56sULAkEei3oP7IwGfT7w">
    <v xmi:type="bpc:VersionMetaData" xmi:id="_c58hgbAkEei3oP7IwGfT7w"/>
    <id xmi:type="bpc:IdMetaData" xmi:id="_c58hgrAkEei3oP7IwGfT7w" instance_uid="_c58hgrAkEei3oP7IwGfT7w"/>
  </robotics.generics:Is_a>
  <robotics.commobject:DataAttribute xmi:id="_dS3X0LAkEei3oP7IwGfT7w" base_Property="_dS07kLAkEei3oP7IwGfT7w">
    <v xmi:type="bpc:VersionMetaData" xmi:id="_dS3X0bAkEei3oP7IwGfT7w"/>
    <id xmi:type="bpc:IdMetaData" xmi:id="_dS3X0rAkEei3oP7IwGfT7w" instance_uid="_dS3X0rAkEei3oP7IwGfT7w"/>
  </robotics.commobject:DataAttribute>
  <NFPs:NfpType xmi:id="_VRZ3UGaFEemi1oa9g-q1fQ" base_DataType="_uRy30K9YEei3oP7IwGfT7w" unitAttrib="_vpnmYK9YEei3oP7IwGfT7w">
    <valueAttrib xmi:type="uml:Property" href="pathmap://Papyrus_PROFILES/MARTE_Library.library.uml#_Yq-MQhFQEdyUJeMeN__D-A"/>
  </NFPs:NfpType>
  <NFPs:NfpType xmi:id="_XRkYQGaFEemi1oa9g-q1fQ" base_DataType="_ikkXcLAjEei3oP7IwGfT7w" unitAttrib="_qFhAYLAjEei3oP7IwGfT7w">
    <valueAttrib xmi:type="uml:Property" href="pathmap://Papyrus_PROFILES/MARTE_Library.library.uml#_Yq-MQhFQEdyUJeMeN__D-A"/>
  </NFPs:NfpType>
  <NFPs:NfpType xmi:id="_YqmnwGaFEemi1oa9g-q1fQ" base_DataType="_acfAkLAkEei3oP7IwGfT7w" unitAttrib="_dS07kLAkEei3oP7IwGfT7w">
    <valueAttrib xmi:type="uml:Property" href="pathmap://Papyrus_PROFILES/MARTE_Library.library.uml#_Yq-MQhFQEdyUJeMeN__D-A"/>
  </NFPs:NfpType>
  <robotics.services:ServiceDefinition xmi:id="_rkn7YPaIEemue_PQ3GOClg" base_Interface="_rkZ48PaIEemue_PQ3GOClg"/>
  <robotics.services:ServiceDefinition xmi:id="_c3HIoPaJEemue_PQ3GOClg" base_Interface="_c3BCAPaJEemue_PQ3GOClg"/>
  <robotics.services:ServiceDefinition xmi:id="_jWe7gLXUEeiH6Ko6HOOVWw" base_Interface="_jWcfQLXUEeiH6Ko6HOOVWw"/>
  <DataTypes:CollectionType xmi:id="_Zr7hwLXUEeiH6Ko6HOOVWw" collectionAttrib="_bgSbULXUEeiH6Ko6HOOVWw" base_DataType="_Zr5FgLXUEeiH6Ko6HOOVWw"/>
  <robotics.commobject:CommunicationObject xmi:id="_hIMfALXUEeiH6Ko6HOOVWw" base_DataType="_Zr5FgLXUEeiH6Ko6HOOVWw"/>
</xmi:XMI>
